#Veri dosyanın R programına aktarılması
Eff<-read.csv("Efficacy.csv", header = T, sep = ";")
View(Eff)

#Metafor paketi ile etki büyüklüklerinin hesaplanması
library(metafor)
EB<-escalc(measure = "ZCOR", ri=r , ni=n, slab =Çalışma, data=Eff)
summary(EB)

#Metafor paketinde sabit ve rastgele etkiler modeline göre genel etki büyüklüklerinin hesaplanması
FEM<-rma(yi, vi, data=EB, method="FE")
summary(FEM)
REM<-rma(yi, vi, data=EB, method="DL")
summary(REM)

#Rastgele etkiler modeline göre orman grafiğinin oluşturulması
forest(REM, header=TRUE, showweights=TRUE, digits = 3)

#Meta paketinin aktif hale getirilmesi ve Fisher's Z ye göre etki büyüklüklerinin ve genel etki büyüklüklerinin ve tahmin aralığının hesaplanması
library(meta)
EB<- metacor(Eff$r, Eff$n, studlab = Eff$Çalışma, prediction=T, sm="ZCOR")
EB

#Meta paketi ile hesaplanan etki büyüklüklerinin orman grafiğinin oluşturulması
forest.meta(EB)

#Metafor paketi ile hesaplanan Fisher's Z etki büyüklüğünün Pearson's r değerine dönüştürülerek yorumlarınması
r<-((exp(2*z)-1)/(exp(2*z)+1))
r<-round(((exp(2*0.35)-1)/(exp(2*0.35)+1)), digits = 4)
r
0.3364

#İlişkisel bir çalışmanın deneysel çalışmalarla birleştirilmesi için aşağıdaki betik kullanılabilir.
library(metafor)
yi<-round(2*r/sqrt(1-r^2), digits=3)
vi<-round(4*sqrt(1-r2)/(n-1), digits = 3)
EB<-rbind(EB, c(yi, vi))


